Package org.eclipse.rdf4j.federated.endpoint

## Class ManagedRepositoryEndpoint

- java.lang.Object
- - org.eclipse.rdf4j.federated.endpoint.EndpointBase
  - - org.eclipse.rdf4j.federated.endpoint.RepositoryEndpoint
    - - org.eclipse.rdf4j.federated.endpoint.ManagedRepositoryEndpoint

- All Implemented Interfaces:
    `Endpoint`

      public class ManagedRepositoryEndpoint
      extends RepositoryEndpoint

  A specialized `RepositoryEndpoint` where the lifecycle of the `Repository` is managed by this endpoint, i.e. this instance takes care for initialize and shutdown of the repository.
  Author:
    Andreas Schwarte
  See Also:
    `RepositoryEndpoint`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.rdf4j.federated.endpoint.EndpointBase

      `EndpointBase.ManagedRepositoryConnection`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.federated.endpoint.RepositoryEndpoint

      `repository`

    - ### Fields inherited from class org.eclipse.rdf4j.federated.endpoint.EndpointBase

      `endpoint, endpointClassification, endpointConfiguration, initialized, log, repoInfo, tripleSource, writable`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ManagedRepositoryEndpoint​(RepositoryInformation repoInfo, String endpoint, EndpointClassification endpointClassification, Repository repo)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `init​(FederationContext federationContext)` | Initialize this `Endpoint`
    `void` | `shutDown()` | Shutdown this `Endpoint`

    - ### Methods inherited from class org.eclipse.rdf4j.federated.endpoint.RepositoryEndpoint

      `getRepository`

    - ### Methods inherited from class org.eclipse.rdf4j.federated.endpoint.EndpointBase

      `equals, getConnection, getEndpoint, getEndpointClassification, getEndpointConfiguration, getFreshConnection, getId, getName, getRepoInfo, getTripleSource, getType, hashCode, isInitialized, isLocal, isWritable, setEndpointClassification, setEndpointConfiguration, setWritable, size, toString, useSingleConnection`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ManagedRepositoryEndpoint

          public ManagedRepositoryEndpoint​(RepositoryInformation repoInfo,
                                           String endpoint,
                                           EndpointClassification endpointClassification,
                                           Repository repo)

  - ### Method Detail

    - #### init

          public void init​(FederationContext federationContext)
                    throws RepositoryException

      Description copied from interface: `Endpoint`
      Initialize this `Endpoint`
      Specified by:
        `init` in interface `Endpoint`
      Overrides:
        `init` in class `EndpointBase`
      Throws:
        `RepositoryException`

    - #### shutDown

          public void shutDown()
                        throws RepositoryException

      Description copied from interface: `Endpoint`
      Shutdown this `Endpoint`
      Specified by:
        `shutDown` in interface `Endpoint`
      Overrides:
        `shutDown` in class `EndpointBase`
      Throws:
        `RepositoryException`